#include <iostream>

using namespace std;


int main()
{

    int n, m;

    cin>>n>>m;

    int visz[n]={0}, a[n],pos=0;

    for(int i=0;i<n;i++)
          {
            cin>>a[i];
            if(a[i]<0)
                pos++;
          }

    if(pos==0)
    {   int x, y;
        for(int i=0;i<m;i++)
            {
            cin>>x>>y;
            visz[x-1]++;
            visz[y-1]++;
            }

        int bol=0;

        for(int i=0;i<n;i++)
            bol+=a[i]*visz[i];

    cout<<bol;
    }


    return 0;
}